package com.ruoyi.kaohe.mapper;

import java.util.List;
import com.ruoyi.kaohe.domain.KhVote;

/**
 * 投票评测Mapper接口
 * 
 * @author hs
 * @date 2025-06-17
 */
public interface KhVoteMapper 
{
    /**
     * 查询投票评测
     * 
     * @param id 投票评测主键
     * @return 投票评测
     */
    public KhVote selectKhVoteById(Long id);

    /**
     * 查询投票评测列表
     * 
     * @param khVote 投票评测
     * @return 投票评测集合
     */
    public List<KhVote> selectKhVoteList(KhVote khVote);

    /**
     * 新增投票评测
     * 
     * @param khVote 投票评测
     * @return 结果
     */
    public int insertKhVote(KhVote khVote);

    /**
     * 修改投票评测
     * 
     * @param khVote 投票评测
     * @return 结果
     */
    public int updateKhVote(KhVote khVote);

    /**
     * 删除投票评测
     * 
     * @param id 投票评测主键
     * @return 结果
     */
    public int deleteKhVoteById(Long id);

    /**
     * 批量删除投票评测
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKhVoteByIds(Long[] ids);

    List<KhVote> getListByPcIdAndItemIds(KhVote khVote);

    List<KhVote> selectUnfinishedVote();
}
